# Poco::Net

# class HTTPIOS

Library: Net
Package: HTTP
Header: Poco/Net/HTTPStream.h

## Description

The base class for HTTPInputStream.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: HTTPInputStream, HTTPOutputStream

## Member Summary

Member Functions: rdbuf

## Constructors

### HTTPIOS

HTTPIOS(
HTTPSession & session,
HTTPStreamBuf::openmode mode
);

## Destructor

### ~HTTPIOS

~HTTPIOS();

## Member Functions

### rdbuf

HTTPStreamBuf * rdbuf();

## Variables

### _buf

HTTPStreamBuf _buf;